## neutron-lbaas 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=0.7,<1.0,>=0.6

eventlet!=0.17.0,>=0.16.1
requests!=2.4.0,>=2.2.0
netaddr>=0.7.12
SQLAlchemy<=0.9.99,>=0.9.7
alembic<0.8.1,>=0.7.2
six>=1.9.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
python-barbicanclient<3.1.0,>=3.0.1
pyasn1
pyasn1-modules
pyOpenSSL>=0.11

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron@stable/kilo#egg=neutron

=== debian/changelog ===
neutron-lbaas (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * Resynchronize with stable/kilo (efdbefc) (LP: #1506058):
    - [efdbefc] Add device_id when a loadbalancer is created instead of at
                listener create
    - [8156548] Adding code to prevent vip port deletion from port api
    - [ade6d88] Fixing Radware LBaaS v2 driver LB deletion

  [ Corey Bryant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.
  * d/control: Add python-barbicanclient and python-pyasn1(-modules) to
    python-neutron-lbaas Depends.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Oct 2015 09:24:00 -0400

neutron-lbaas (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (fb3f629) (LP: #1481008):
    - [fb3f629] Fix test failures caused by mock update

 -- David Ames <david.ames@canonical.com>  Tue, 04 Aug 2015 10:16:10 -0700

=== debian/control ===
Source: neutron-lbaas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 dh-systemd,
 openstack-pkg-tools (>= 21~),
 python-all (>= 2.6.6-3~)
Build-Depends-Indep:
 alembic (>= 0.7.2),
 neutron-common (>= 1:2015.1.2),
 python-barbicanclient (>= 3.0.1),
 python-cliff (>= 1.10.0),
 python-coverage,
 python-eventlet (>= 0.16.1),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-novaclient (>= 1:2.18.0),
 python-openssl (>= 0.11),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-db (>= 1.7.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-rootwrap (>= 1.3.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslotest (>= 1.2.0),
 python-pbr (>= 0.6),
 python-pyasn1,
 python-pyasn1-modules,
 python-requests (>= 2.2.0),
 python-requests-mock (>= 0.5.1),
 python-setuptools,
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.1.0),
 python-subunit (>= 0.0.18),
 python-testscenarios (>= 0.4),
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 testrepository ( >= 0.0.18)
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/neutron-lbaas

Package: python-neutron-lbaas
Architecture: all
Depends:
 python-barbicanclient (>= 3.0.1),
 python-pyasn1,
 python-pyasn1-modules,
 ${misc:Depends},
 ${python:Depends}
Description: Loadbalancer-as-a-Service driver for OpenStack Neutron
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provices the Loadbalancer-as-a-Service driver for Neutron.

Package: neutron-lbaas-agent
Architecture: all
Depends:
 haproxy,
 neutron-common,
 python-neutron-lbaas (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - LBaaS agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Load Balancing as-a Service (LBaaS) agent.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/" \
 http://tarballs.openstack.org/neutron-lbaas neutron-lbaas-(\d.*)\.tar\.gz

## neutron-lbaas 2015.1.4

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 pbr!=0.7,<1.0,>=0.6
 
 eventlet!=0.17.0,>=0.16.1
-requests!=2.4.0,>=2.2.0
+requests!=2.4.0,<2.8.0,>=2.2.0
 netaddr>=0.7.12
 SQLAlchemy<=0.9.99,>=0.9.7
 alembic<0.8.1,>=0.7.2

=== debian/changelog ===
neutron-lbaas (1:2015.1.4-0ubuntu3) trusty-kilo; urgency=medium

  * Add patch to ensure namespace deleted by v1 driver delete_pool (LP: #1664203)
    - d/p/ensure_namespace_deleted_with_pool.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 13 Feb 2017 15:17:31 +0000

neutron-lbaas (1:2015.1.4-0ubuntu2) trusty-kilo; urgency=medium

  * d/neutron-lbaas-agent.install: Install missing configuration files
    (LP: #1460228).

 -- David Della Vecchia <ddv@canonical.com>  Tue, 14 Jun 2016 11:13:05 -0400

neutron-lbaas (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/control: Update neutron-common BD to >= 1:2015.1.4.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 May 2016 17:00:45 -0400

neutron-lbaas (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Sat, 19 Mar 2016 08:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python-all (>= 2.6.6-3~)
 Build-Depends-Indep:
  alembic (>= 0.7.2),
- neutron-common (>= 1:2015.1.2),
+ neutron-common (>= 1:2015.1.4),
  python-barbicanclient (>= 3.0.1),
  python-cliff (>= 1.10.0),
  python-coverage,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd --buildsystem=python_distutils

override_dh_python2:
	dh_python2 --no-guessing-deps

# NOTE(jamespage): Some tests need access to /etc/neutron/neutron.conf,
#                  skip these as this file will contain access credentials
#                  so is not world readable.
# neutron_lbaas.tests.unit.agent.test_agent.TestLbaasService.test_main
# neutron_lbaas.tests.unit.common.tls_utils.test_cert_parser.TestTLSParseUtils.test_read_private_key
# neutron_lbaas.tests.unit.services.loadbalancer.agent.test_agent.TestLbaasService.test_main
SKIPTEST := (?!.*TestTLSParseUtils.test_read_private_key.*)(?!.*TestLbaasService.test_main.*)
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	PYTHONPATH=$(CURDIR) testr run --subunit 'neutron_lbaas\.tests\.unit\.$(SKIPTEST)' | tee $$TEMP_REZ | subunit2pyunit; \
	rm -f $$TEMP_REZ ;
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	rm -f debian/*.upstart debian/*.init debian/*.service
